### Enumeration

# FwupdPlugin FirmwareFlags

#### Declaration

    flags FwupdPlugin.FirmwareFlags

#### Description

No description available.

#### Members

Name | Description
--- | ---
`FU_FIRMWARE_FLAG_NONE` | No description available.
`FU_FIRMWARE_FLAG_DEDUPE_ID` | No description available.
`FU_FIRMWARE_FLAG_DEDUPE_IDX` | No description available.
`FU_FIRMWARE_FLAG_HAS_CHECKSUM` | Or CRC.
`FU_FIRMWARE_FLAG_HAS_VID_PID` | No description available.
`FU_FIRMWARE_FLAG_DONE_PARSE` | No description available.
`FU_FIRMWARE_FLAG_HAS_STORED_SIZE` | No description available.
`FU_FIRMWARE_FLAG_ALWAYS_SEARCH` | Useful has an unparsed variable-length header.
`FU_FIRMWARE_FLAG_NO_AUTO_DETECTION` | Has no known header.
`FU_FIRMWARE_FLAG_HAS_CHECK_COMPATIBLE` | No description available.
`FU_FIRMWARE_FLAG_IS_LAST_IMAGE` | Use for FuLinearFirmware when padding is present.
`FU_FIRMWARE_FLAG_ALLOW_LINEAR` | Parse as an array of firmwares.